# eric6.Plugins.VcsPlugins.vcsMercurial.FetchExtension.HgFetchDialog

Module implementing a dialog to enter data to be used for a fetch operation.

### Global Attributes

None

### Classes

HgFetchDialog | Class implementing a dialog to enter data to be used for a fetch operation.

### Functions

None

## HgFetchDialog

Class implementing a dialog to enter data to be used for a fetch operation.

### Derived from

QDialog, Ui_HgFetchDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgFetchDialog | Constructor
getData | Public method to get the data for the fetch operation.
on_recentComboBox_activated | Private slot to select a commit message from recent ones.

### Static Methods

None

#### HgFetchDialog (Constructor)

HgFetchDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HgFetchDialog.getData

getData()

Public method to get the data for the fetch operation.

Returns:
  tuple with the commit message and a flag indicating to switch the merge order (string, boolean)

#### HgFetchDialog.on_recentComboBox_activated

on_recentComboBox_activated(txt)

Private slot to select a commit message from recent ones.

txt
  text of the selected entry (string)

Up